AUTOSAR Compatibility

Compatibility with AUTOSAR Features

A detailed list of individual AUTOSAR features and whether or not they are supported by AUTOSAR-related dSPACE products like TargetLink® and SystemDesk® is available from the dSPACE support upon request. Please contact Support@dspace.de.

Supported AUTOSAR Versions

Compatibility of dSPACE software with different versions of the AUTOSAR standards.

AUTOSAR SystemDesk TargetLink RTI AUTOSAR Package* FlexRay Configuration Package* RTI CAN MM Blockset* RTI LIN MM Blockset*
4.0.3 4.0  3.4    2013-A 2013-A 2013-A
4.0.2 4.0  3.4
3.3 (since 3.3p1)
       
3.2.2 3.2  3.4    2013-A 
7.4 
2013-A
7.4 
2013-A
7.4 
3.2.1

3.2
3.1 

3.4
3.3 
  2013-A 
7.4
7.3
7.2
2013-A
7.4
7.3 
2013-A
7.4
7.3  
3.1.5 3.1  3.4
3.3 
       
3.1.4.DAI.4 3.2
3.1
3.4
3.3
3.1 
  2013-A
7.4
7.3
7.2 
2013-A
7.4
7.3
7.2
2013-A
7.4
7.3
7.2
3.1.4

3.1
3.0

3.4
3.2
2013-A
7.4
7.3 
7.2
2013-A 
7.4 
7.3
7.2
7.1 

2013-A
7.4
7.3
7.2 

2013-A
7.4
7.3
7.2   
3.1.2

3.1
3.0
2.1

3.4
3.2
2013-A
7.4 
7.3
7.2 
7.1
7.0 
     
3.1.0

3.1
3.0
2.1

3.4
3.3
3.2
3.1
2013-A
7.4
7.3  
7.2 
7.1 
7.0
6.6
6.5
6.4
     
3.0.7 3.1 3.4
3.3
       
3.0.6 3.1
3.0
3.4
3.3
3.2
2013-A
7.4
7.3
7.2 
     
3.0.4 3.1
3.0
2.1
2.0.4
3.4
3.3
3.2
2013-A
7.4
7.3
7.2
7.1
7.0
     
3.0.2 3.1
3.0
2.1
2.0.4
2.0
3.4
3.3
3.2
3.1
3.0.1
2.3.1
2013-A
7.4 
7.3
7.2
7.1 
7.0
6.6
6.5
6.4
     
3.0.0 2.1
2.0.4
2.0
  2013-A
7.4 
7.3
7.2
7.1 
7.0
     
2.1.4 3.0
2.1
2.0.4
2.0
1.1
3.4
3.3
3.2
3.1
3.0.1
2.3.1
2013-A
7.4 
7.3 
7.2
7.1 
7.0
6.6
6.5
     
2.1.2 2.1
2.0.4
2.0
1.1
  2013-A
7.4 
7.3
7.2
7.0
7.1
6.6
6.5
     
2.1.1 2.1
2.0.4
2.0
3.0
2.3
       
2.0.0 SP 3 1.1
1.0
3.0.1
3.0
2.3.1
2.2.1
       
2.0.0   2.2        

 

* Version number equals dSPACE Release

Last update August 27, 2013